<?php

//conectarse a la base datos
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require 'PHPMailer/Exception.php';
require 'PHPMailer/PHPMailer.php';
require 'PHPMailer/SMTP.php';

$servername = "localhost";
$username = "user";
$password = "Ch3vr0l3t_2020$";

try {
    $pdo = new PDO("mysql:host=$servername;dbname=wwchev_Autoshop", $username, $password);
    // set the PDO error mode to exception
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    //echo "Connected successfully";
    $mifecha = date('Y-m-d H:i:s'); //Esto es!!
    $NuevaFecha = strtotime('-5 hour', strtotime($mifecha)); //Esto es!!
    //var_dump($_POST);


    // if(!empty($_POST['medium_contact'])) {
    // // Contando el numero de input seleccionados "checked" checkboxes.
    // $checked_contador = count($_POST['medium_contact']);}
    // foreach($_POST['medium_contact'] as $seleccion);

    $data = [
        'name' => $_POST["name"],
        'identification' => $_POST["identification"],
        'email' => $_POST["email"],
        'cellphone' => $_POST["cellphone"],
        'modelo' => $_POST["modelo"],
        'dealer' => $_POST["dealer"],
        'medium_contact' => $_POST["medium_contact"],
        'switch' => $_POST["switch"],
        'date' => date('Y-m-d H:i:s', $NuevaFecha) //Esto es!!
    ];
    $sql = "INSERT INTO camioneseuv (name, identification, email, cellphone, modelo, dealer, medium_contact, switch, date) 
  VALUES (:name, :identification, :email, :cellphone, :modelo, :dealer, :medium_contact, :switch, :date)";
    $stmt = $pdo->prepare($sql);
    $stmt->execute($data);
    //conectarse a la base datos FIN

    /*$sql = 'SELECT * FROM vehicle_services';
  $q = $pdo->query($sql);
  $q->setFetchMode(PDO::FETCH_ASSOC);*/


    //Create our SQL query.
    $sql = "SELECT * FROM camioneseuv";

    //Prepare our SQL query.
    $statement = $pdo->prepare($sql);

    //Executre our SQL query.
    $statement->execute();

    //Fetch all of the rows from our MySQL table.
    $rows = $statement->fetchAll(PDO::FETCH_ASSOC);

    //Get the column names.
    $columnNames = array();
    if (!empty($rows)) {
        //We only need to loop through the first row of our result
        //in order to collate the column names.
        $firstRow = $rows[0];
        foreach ($firstRow as $colName => $val) {
            $columnNames[] = $colName;
        }
    }

    //Setup the filename that our CSV will have when it is downloaded.
    $fileName = 'mysql-export.csv';

    //Open up a file pointer
    $fp = fopen('/home/wwchev/tmp/Autoshop_camiones_euv', 'w');

    //Start off by writing the column names to the file.
    fputcsv($fp, $columnNames);

    //Then, loop through the rows and write them to the CSV file.
    foreach ($rows as $row) {
        fputcsv($fp, $row);
    }

    //Close the file pointer.
    fclose($fp);
} catch (PDOException $e) {
    echo "Connection failed: " . $e->getMessage();
}


$carta = "<b>Nombre</b> " . $_POST["name"] . "<br>";
$carta .= "<b>Cédula:</b> " . $_POST["identification"] . "<br>";
$carta .= "<b>E-mail:</b> " . $_POST["email"] . "<br>";
$carta .= "<b>Celular:</b> " . $_POST["cellphone"] . "<br>";
$carta .= "<b>Concesionario:</b> " . $_POST["dealer"] . "<br>";
$carta .= "<b>Vehículo de Interés:</b> " . $_POST["modelo"] . "<br>";
$carta .= "<b>Contactar Vía:</b> " . $_POST["medium_contact"] . "<br>";
$carta .= "<b>Términos y condiciones:</b> " . $_POST["switch"] . "<br>";



//Create an instance; passing `true` enables exceptions
$mail = new PHPMailer(true);

try {
    //Server settings
    //$mail->SMTPDebug = SMTP::DEBUG_SERVER;                      //Enable verbose debug output
    //$mail->isSMTP();                                            //Send using SMTP
    $mail->Host       = 'mail.chevrolet360.co';                     //Set the SMTP server to send through
    $mail->SMTPAuth   = true;                                   //Enable SMTP authentication
    $mail->Username   = 'info@chevrolet360.co';                     //SMTP username
    $mail->Password   = '7lt]T_vJ+9L1';                               //SMTP password
    $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;            //Enable implicit TLS encryption
    $mail->Port       = 465;                                    //TCP port to connect to; use 587 if you have set `SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS`

    //Recipients
    $mail->setFrom('info@chevrolet360.co', 'Camiones EUV Chevrolet Autoshop');
    $mail->addAddress('chevroletconcolombia@gmail.com');
    // $mail->addAddress('juan.quevedo@carat.com'); 
    // $mail->addAddress('joseluis.arias@carat.com'); //Name is optional 

    $mail->addAttachment('/home/wwchev/tmp/Autoshop_camiones_euv');

    //Content
    $mail->isHTML(true);                                  //Set email format to HTML
    $mail->Subject = 'Camiones EUV Chevrolet Autoshop';
    //$mail->Body    = 'This is the HTML message body <b>in bold!</b>';
    $mail->Body    = $carta;
    $mail->AltBody = 'This is the body in plain text for non-HTML mail clients';

    $mail->send();
    //echo 'Message has been sent';
} catch (Exception $e) {
    echo "Message could not be sent. Mailer Error: {$mail->ErrorInfo}";
}
?>

<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Formulario de contacto Camiones EUV Chevrolet Colombia</title>

    <style>
        .confirmation-container {
            max-width: 600px;
            margin: 50px auto;
            text-align: center;
            font-family: Arial, sans-serif;
        }

        .thank-you-message {
            color: #666;
            font-size: 24px;
            text-transform: uppercase;
            letter-spacing: 1px;
            margin-bottom: 10px;
        }

        .info-message {
            color: #666;
            font-size: 18px;
            text-transform: uppercase;
            letter-spacing: 1px;
            margin-bottom: 20px;
        }

        .spin-text {
            color: #b6862d;
            font-size: 20px;
            font-weight: bold;
            letter-spacing: 2px;
        }

        @media (max-width: 768px) {
            .confirmation-container {
                padding: 0 20px;
            }

            .thank-you-message {
                font-size: 20px;
            }

            .info-message {
                font-size: 16px;
            }
        }

        a {
            color: #b6862d;
        }

        a:hover {
            color: #b6862d;
        }
    </style>

<body>


    <div class="confirmation-container">
        <div class="thank-you-message">
            ¡GRACIAS POR REGISTRARTE!
        </div>
        <div class="info-message">
            Te Mantendremos Informad@.
        </div>
        <div class="spin-text">
            Chevrolet Autoshop
        </div>
        <div class="info"><b><a class="enviar" href="https://chevrolet360.co/Autoshop/camioneseuv/Form.html">Volver</a></b></div>
    </div>

</body>

</html>